
Foreman - Refactor #32893

Tracker # 29939 (Closed): Improve setting definition DSL and move setting registry to memory

Refactor # 32408 (Closed): Use new DSL to define settings

Use new DSL to define General settings

06/28/2021 11:32 AM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8624,

https://github.com/theforeman/foreman/p

ull/8802

  

Description

Related issues:

Related to Foreman - Refactor #32892: Create proper HttpUrl validator Closed

Associated revisions

Revision 608e32be - 09/24/2021 11:25 AM - Ondřej Ezr

Fixes #32893 - use setting DSL for General category

This uses our new DSL to define the General settings, this showcases how

to use the new DSL and other categories should follow in the same

release.

Revision 8ee14435 - 10/26/2021 10:38 AM - Ondřej Ezr

Refs #32893 - put settings in category file

Revision 2b0b9074 - 10/26/2021 10:38 AM - Ondřej Ezr

Refs #32893 - organize general category

History

#1 - 06/28/2021 11:33 AM - Ondřej Ezr

- Related to Refactor #32892: Create proper HttpUrl validator added

#2 - 06/28/2021 11:43 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8624 added

#3 - 09/24/2021 11:25 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#4 - 09/24/2021 12:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|608e32befff167e7571e6afae022d97a763c931f.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/608e32befff167e7571e6afae022d97a763c931f


#5 - 10/05/2021 01:09 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8802 added

#6 - 11/16/2021 10:29 AM - Amit Upadhye

- Category set to Settings
